DIREWOLF(1)

NAME
direwolf - Soundcard TNC for packet radio.

SYNOPSIS
direwolf [ options ] [ - | udp:9999 ]

The first audio channel can be streamed thru stdin or a UDP port. This is typically used with an SDR receiver.

DESCRIPTION
direwolf is a software "soundcard" modem/TNC and APRS encoder/decoder. It can be used stand-alone to receive APRS messages, as a digipeater, APRStt gateway, or Internet Gateway (IGate). It can also be used as a virtual TNC for other applications such as APRSIS32, UI-View32, Xastir, APRS-TW, YAAC, UISS, Linux AX25, SARTrack, RMS Express, and many others.

OPTIONS

-c file
    Read configuration file from specified location rather than the default locations.

-l dir
    Generate log files in specified directory. Use "." for current directory.

-r n
    Audio sample rate per second for first channel. Default 44100.

-n n
    Number of audio channels for first device. 1 or 2. Default 1.

-b n
    Audio sample size for first channel. 8 or 16. Default 16.

-B n
    Data rate in bits/sec for first channel. Standard values are 300, 1200, 9600.
        If < 600, tones are set to 1600 & 1800.
        If > 2400, K9NG/G3RUH scrambling is used.
        Otherwise, AFSK tones are set to 1200 & 2200.

-D n
    Divide audio sample by n for first channel.

-d x
    Debug options. Specify one or more of the following in place of x.
        a = AGWPE network protocol client.
        k = KISS serial port client.
        n = Network KISS client.
        u = Display non-ASCII text in hexadecimal.
        p = Packet dump in hexadecimal.
        t = GPS Tracker.
        o = Output controls such as PTT and DCD.

-q x
    Quiet (suppress output). Specify one or more of the following in place of x.
        h = Heard line with the audio level.
        d = Decoding of APRS packets.

-t n
    Text colors. 1=normal, 0=disabled.

-p  Enable pseudo terminal for KISS protocol.

-x  Send Xmit level calibration tones.

-U  Print UTF-8 test string and exit.

EXAMPLES
gqrx (2.3 and later) has the ability to send streaming audio through a UDP socket to another application for further processing. direwolf can listen over a UDP port with options like this:

    direwolf -n 1 -r 48000 -b 16 udp:7355

Other SDR applications might produce audio on stdout so it is convenient to pipe into the next application. In this example, the final "-" means read from stdin.

    rtl_fm -f 144.39M -o 4 - | direwolf -n 1 -r 24000 -b 16 -

SEE ALSO
More detailed information is in the pdf files in /usr/local/share/doc/direwolf, or possibly /usr/share/doc/direwolf, depending on installation location. Applications in this package: aclients, atest, decode_aprs, direwolf, gen_packets, ll2utm, log2gpx, text2tt, tt2text, utm2ll